import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { Locale } from 'date-fns';
import { DateFnsConfigurationService } from '../date-fns-configuration.service';
import * as i0 from "@angular/core";
declare const formats: {
    x1: string;
    x2: string;
    x3: string;
    full: string;
};
/**
 * - `x1`: One char. 'M' for Monday.
 * - `x2`: Two chars. 'Mo' for Monday.
 * - `x3`: Three chars. 'Mon' for Monday.
 * - `full`: Full weekday name. 'Monday' for Monday.
 */
export declare type WeekdayNameFormat = keyof typeof formats;
export declare class WeekdayNamePipe implements PipeTransform, OnDestroy {
    config: DateFnsConfigurationService;
    cd: ChangeDetectorRef;
    private localeChanged$;
    constructor(config: DateFnsConfigurationService, cd: ChangeDetectorRef);
    ngOnDestroy(): void;
    transform(day: number, view?: WeekdayNameFormat, options?: {
        locale?: Locale;
    }): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<WeekdayNamePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<WeekdayNamePipe, "dfnsWeekdayName">;
}
export declare class WeekdayNamePipeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<WeekdayNamePipeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<WeekdayNamePipeModule, [typeof WeekdayNamePipe], never, [typeof WeekdayNamePipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<WeekdayNamePipeModule>;
}
export {};
